/*******************************************************************/
/*                                                                 */
/*                      ADOBE CONFIDENTIAL                         */
/*                   _ _ _ _ _ _ _ _ _ _ _ _ _                     */
/*                                                                 */
/* Copyright 2003-2004 Adobe Systems Incorporated                  */
/* All Rights Reserved.                                            */
/*                                                                 */
/* NOTICE:  All information contained herein is, and remains the   */
/* property of Adobe Systems Incorporated and its suppliers, if    */
/* any.  The intellectual and technical concepts contained         */
/* herein are proprietary to Adobe Systems Incorporated and its    */
/* suppliers and may be covered by U.S. and Foreign Patents,       */
/* patents in process, and are protected by trade secret or        */
/* copyright law.  Dissemination of this information or            */
/* reproduction of this material is strictly forbidden unless      */
/* prior written permission is obtained from Adobe Systems         */
/* Incorporated.                                                   */
/*                                                                 */
/*******************************************************************/


#ifndef SYN_SDK_SAMPLE_INTERNAL_H__
#define SYN_SDK_SAMPLE_INTERNAL_H__

#include "..\ctrlmsg.h"

BOOL Hardware_Open(HINSTANCE hInstance, ControllerFunctions *pcfn);
void Hardware_Update(DWORD dwMsg, void *pVal1, void *pVal2, void *pVal3);
void Hardware_Close(void);

typedef struct 
{
	int count;
	GET_COMMAND GetCommand;
} ConfigDialogProcParam;

int CALLBACK ConfigDlgProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);

#endif // SYN_SDK_SAMPLE_INTERNAL_H__